Subject: [Gen-art] Gen-ART review of draft-ietf-bess-mvpn-global-table-mcast-02

From: Christer Holmberg <[email-masked]>
Date: Sun, 6 Sep 2015 13:26:55 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
Document:                                     draft-ietf-bess-mvpn-global-table-mcast-02.txt
Reviewer:                                        Christer Holmberg
Review Date:                                  6 September 2015
IETF LC End Date:                          18 August 2015
IETF Telechat Date:                       3 September 2015
Summary:          The document is well written, and almost ready for publication. I do have a few editorial comments, however, that the authors may want to address.
Major Issues: None
Minor Issues: None
Editorial Issues:

General:
-----------

QG_1:

There are a number of abbreviations which are not expanded on first occurrence, e.g. BGP and PIM. I guess there should also be a reference associated with them?

QG_2:

In a few places throughout the document the text says "The document [RFC7524] extends...", "The document [RFC7524] also defines..." etc.

I suggest to remove "The document".

QG_3:

In a few places throughout the document the text says "procedures of [RFCXXXX]".

I suggest to say "procedures in [RFCXXXX]".

QG_4:

Sometimes the text says "Section X of [RFCXXXX]", and sometimes "[RFCXXX] section X".

Please use consistent terminology.

Section 1:
------------

Q1_1:

In general, I think the Introduction section is very long and detailed. Would it be possible to move some of the stuff to dedicated sections (or, at least sub sections)?

Q1_2:

In the first sentence, should it be "an architecture" instead of "architecture"?

Q1_3:

In a few places the text says "This architecture". Sometimes it is a little difficult to figure out whether that refers to an architecture somewhere else, or something defined in this document.

Would it be possible to say e.g. "The architecture defined in [REFERENCE]...".